package org.example.petshopdesktop.models;

import javafx.beans.property.SimpleIntegerProperty;
import javafx.beans.property.SimpleStringProperty;

public class Inventory {
    private SimpleIntegerProperty inventoryId;
    private SimpleIntegerProperty prodId;
    private SimpleStringProperty prodName;
    private SimpleStringProperty categoryName;
    private SimpleIntegerProperty storeId;
    private SimpleStringProperty storeName;
    private SimpleIntegerProperty quantity;
    private SimpleIntegerProperty reorderLevel;

    public Inventory(int inventoryId, int prodId, String prodName, String categoryName, int storeId, String storeName, int quantity, int reorderLevel) {
        this.inventoryId = new SimpleIntegerProperty(inventoryId);
        this.prodId = new SimpleIntegerProperty(prodId);
        this.prodName = new SimpleStringProperty(prodName);
        this.categoryName = new SimpleStringProperty(categoryName);
        this.storeId = new SimpleIntegerProperty(storeId);
        this.storeName = new SimpleStringProperty(storeName);
        this.quantity = new SimpleIntegerProperty(quantity);
        this.reorderLevel = new SimpleIntegerProperty(reorderLevel);
    }

    public int getInventoryId() { return inventoryId.get(); }

    public void setInventoryId(int inventoryId) { this.inventoryId.set(inventoryId); }

    public SimpleIntegerProperty inventoryIdProperty() { return inventoryId; }

    public int getProdId() { return prodId.get(); }

    public void setProdId(int prodId) { this.prodId.set(prodId); }

    public SimpleIntegerProperty prodIdProperty() { return prodId; }

    public String getProdName() { return prodName.get(); }

    public void setProdName(String prodName) { this.prodName.set(prodName); }

    public SimpleStringProperty prodNameProperty() { return prodName; }

    public String getCategoryName() { return categoryName.get(); }

    public void setCategoryName(String categoryName) { this.categoryName.set(categoryName); }

    public SimpleStringProperty categoryNameProperty() { return categoryName; }

    public int getStoreId() { return storeId.get(); }

    public void setStoreId(int storeId) { this.storeId.set(storeId); }

    public SimpleIntegerProperty storeIdProperty() { return storeId; }

    public String getStoreName() { return storeName.get(); }

    public void setStoreName(String storeName) { this.storeName.set(storeName); }

    public SimpleStringProperty storeNameProperty() { return storeName; }

    public int getQuantity() { return quantity.get(); }

    public void setQuantity(int quantity) { this.quantity.set(quantity); }

    public SimpleIntegerProperty quantityProperty() { return quantity; }

    public int getReorderLevel() { return reorderLevel.get(); }

    public void setReorderLevel(int reorderLevel) { this.reorderLevel.set(reorderLevel); }

    public SimpleIntegerProperty reorderLevelProperty() { return reorderLevel; }
}
